Instagram

  • Log in
  • Overview
  • Authentication
  • Real-time
  • iPhone Hooks
  • API Console
  • Endpoints
    • Users
    • Relationships
    • Media
    • Comments
    • Likes
    • Tags
    • Locations
    • Geographies
  • Embedding
  • Libraries
  • Forum

Comment Endpoints

  • GET /media/media-id/comments Get a full list of comments on a media.
  • POST /media/media-id/comments Create a comment on a media. Please email apidevelopers[at]instagram.com for access.
  • DEL /media/media-id/comments/comment-id Remove a comment.

GET /media/media-id/comments

  • Response
https://api.instagram.com/v1/media/555/comments?access_token=ACCESS-TOKEN
{
    "meta": {
        "code": 200
    },
    "data": [
        {
            "created_time": "1280780324",
            "text": "Really amazing photo!",
            "from": {
                "username": "snoopdogg",
                "profile_picture": "http://images.instagram.com/profiles/profile_16_75sq_1305612434.jpg",
                "id": "1574083",
                "full_name": "Snoop Dogg"
            },
            "id": "420"
        },
        ...
    ]
}

Get a full list of comments on a media. Required scope: comments

POST /media/media-id/comments

  • Response
curl -F 'access_token=ACCESS-TOKEN' \ -F 'text=This+is+my+comment' \ https://api.instagram.com/v1/media/{media-id}/comments
{
    "meta": {
        "code": 200
    }, 
    "data": null
}

Create a comment on a media. Please email apidevelopers[at]instagram.com for access. Required scope: comments

Parameters
access_token A valid access token.
text Text to post as a comment on the media as specified in media-id.

DEL /media/media-id/comments/comment-id

  • Response
curl -X DELETE https://api.instagram.com/v1/media/{media-id}/comments?access_token=ACCESS-TOKEN
{
    "meta": {
        "code": 200
    }, 
    "data": null
}

Remove a comment either on the authenticated user's media or authored by the authenticated user. Required scope: comments

Parameters
access_token A valid access token.
  • About us
  • Support
  • Blog
  • API
  • Jobs
  • Privacy
  • Terms

© 2013 Instagram